Bug 1128394 - Review Request: qcustomplot - Qt widget for plotting and data visualization
Summary: Review Request: qcustomplot - Qt widget for plotting and data visualization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1119644 1173375
TreeView+ depends on / blocked
 
Reported: 2014-08-10 01:23 UTC by Sandro Mani
Modified: 2015-01-06 06:12 UTC (History)
2 users (show)

Fixed In Version: qcustomplot-1.3.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 06:06:13 UTC
nonamedotc: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-08-10 01:23:24 UTC
Spec URL: https://smani.fedorapeople.org/review/qcustomplot.spec
SRPM URL: https://smani.fedorapeople.org/review/qcustomplot-1.2.1-1.fc22.src.rpm
Description: Qt widget for plotting and data visualization
Fedora Account System Username: smani

Comment 1 Mukundan Ragavan 2014-12-12 02:52:32 UTC
Will review this tomorrow evening.

Comment 2 Mukundan Ragavan 2014-12-19 03:09:27 UTC
Mostly good, just a few things - 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: qcustomplot-doc : /usr/share/doc/qcustomplot-
  doc/examples/interactions/mainwindow.h qcustomplot-doc : /usr/share/doc
  /qcustomplot-doc/examples/plots/mainwindow.h qcustomplot-doc :
  /usr/share/doc/qcustomplot-doc/examples/scrollbar-axis-range-
  control/mainwindow.h qcustomplot-doc : /usr/share/doc/qcustomplot-
  doc/examples/text-document-integration/mainwindow.h qcustomplot-doc :
  /usr/share/doc/qcustomplot-doc/examples/text-document-
  integration/qcpdocumentobject.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


---> These header files are example header files. No issues with this. Bogus warning.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/ownCloud/pkg_reviews/1128394-qcustomplot/licensecheck.txt

---> Looks fine to me.

[x]: License file installed when any subpackage combination is installed.


---> Currently, %doc is used for installing the license file. Could you please change this to %license?

%files
%doc GPL.txt changelog.txt

--->

%files
%license GPL.txt
%doc changelog.txt


[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qcustomplot-doc

---> This is fine. -devel has proper Requires - 


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> https://koji.fedoraproject.org/koji/taskinfo?taskID=8433121

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qcustomplot-1.2.1-1.fc22.x86_64.rpm
          qcustomplot-devel-1.2.1-1.fc22.x86_64.rpm
          qcustomplot-doc-1.2.1-1.fc22.noarch.rpm
          qcustomplot-1.2.1-1.fc22.src.rpm
qcustomplot.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
qcustomplot-devel.x86_64: W: only-non-binary-in-usr-lib
qcustomplot-devel.x86_64: W: no-documentation
qcustomplot.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@imladris /]# rpmlint qcustomplot-devel qcustomplot qcustomplot-doc
qcustomplot-devel.x86_64: W: only-non-binary-in-usr-lib
qcustomplot-devel.x86_64: W: no-documentation
qcustomplot.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
qcustomplot.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqcustomplot.so.1.2.1 /lib64/libpthread.so.0

---> See if this fixes this warning
http://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency


3 packages and 0 specfiles checked; 0 errors, 4 warnings.
]0;<mock-chroot><mock-chroot>[root@imladris /]# echo 'rpmlint-done:'



Requires
--------
qcustomplot-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libqcustomplot.so.1()(64bit)
    qcustomplot(x86-64)

qcustomplot (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

qcustomplot-doc (rpmlib, GLIBC filtered):



Provides
--------
qcustomplot-devel:
    pkgconfig(qcustomplot)
    qcustomplot-devel
    qcustomplot-devel(x86-64)

qcustomplot:
    libqcustomplot.so.1()(64bit)
    qcustomplot
    qcustomplot(x86-64)

qcustomplot-doc:
    qcustomplot-doc



Source checksums
----------------
http://www.qcustomplot.com/release/1.2.1/QCustomPlot.tar.gz :
  CHECKSUM(SHA256) this package     : 4f416be8182941d0e37f4fccf5d103bae088f4dd44938bfd52a01811b6fcdabf
  CHECKSUM(SHA256) upstream package : 4f416be8182941d0e37f4fccf5d103bae088f4dd44938bfd52a01811b6fcdabf


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1128394
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Sandro Mani 2014-12-19 14:57:08 UTC
Spec URL: https://smani.fedorapeople.org/review/qcustomplot.spec
SRPM URL: https://smani.fedorapeople.org/review/qcustomplot-1.2.1-2.fc22.src.rpm

%changelog
* Fri Dec 19 2014 Sandro Mani <manisandro@gmail.com> - 1.2.1-2
- BuildRequires: qt-devel -> qt4-devel
- Use %%license
- Don't abuse version as so version
- Use -Wl,--as-needed

Comment 4 Mukundan Ragavan 2014-12-21 21:20:17 UTC
My concerns have been addressed. Package APPROVED.

Comment 5 Sandro Mani 2014-12-21 22:28:51 UTC
Thank you!

New Package SCM Request
=======================
Package Name: qcustomplot
Short Description: Qt widget for plotting and data visualization
Owners: smani
Branches: f20 f21

Comment 6 Jens Petersen 2014-12-22 08:05:57 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-22 08:40:51 UTC
qcustomplot-1.2.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qcustomplot-1.2.1-2.fc21

Comment 8 Fedora Update System 2014-12-22 08:41:26 UTC
qcustomplot-1.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qcustomplot-1.2.1-2.fc20

Comment 9 Fedora Update System 2014-12-23 18:25:13 UTC
qcustomplot-1.2.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-12-28 20:15:07 UTC
qcustomplot-1.3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qcustomplot-1.3.0-1.fc21

Comment 11 Fedora Update System 2014-12-28 20:15:41 UTC
qcustomplot-1.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qcustomplot-1.3.0-1.fc20

Comment 12 Fedora Update System 2015-01-06 06:06:13 UTC
qcustomplot-1.3.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-01-06 06:12:37 UTC
qcustomplot-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.